# uproot.interpretation.identify.interpretation_of

Defined in uproot.interpretation.identify on line 298.

uproot.interpretation.identify.interpretation_of(branch, context, simplify=True)
  Parameters:

    - branch (uproot.TBranch) – The `TBranch` to interpret as an array.

    - context (dict) – Auxiliary data used in deserialization.

    - simplify (bool) – If True, call simplify on any uproot.AsObjects to try to get a more efficient interpretation.

  Attempts to derive an uproot.interpretation.Interpretation of the `branch` (within some `context`).

  If no interpretation can be found, it raises uproot.interpretation.identify.UnknownInterpretation.